ant-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Stefan Bodewig <bode...@apache.org>
Subject Re: Ant 1.3 and JUnit 3.6
Date Thu, 10 May 2001 05:55:55 GMT
Kevin Mukhar <kevin.mukhar@corp.usa.net> wrote:

> Stefan Bodewig wrote:
>> 
>> They should work fine in combination - unlike Ant 1.2 which won't
>> work with JUnit > 3.4.
> 
> I have Ant 1.2 and JUnit 3.5 and it works for me. My environment is
> WinNT, Sun JDK1.2.2, XEmacs 21.1.9, JDE 2.2.6.2

I guess you are not using JUnit 3.5, or you are using a later <junit>
implementation than 1.2.  

JUnit 3.5 changed the TestListener interface (see the release notes),
rendering Ant 1.2's implementations abstract.  The version released
with Ant 1.3 implements both flavors of this interface.

Stefan

Mime
View raw message